﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.WebUI.WebSchedule;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {

            DataSet set = new DataSet();
            //Add two tables
            set.Tables.Add(BuildTable("Parent"));
            set.Tables.Add(BuildChildTable("Child"));

            //Create relations
            DataColumn parentColumn = set.Tables[0].Columns["id"];
            DataColumn childColumn = set.Tables[1].Columns["relation"];
            DataRelation relation = new DataRelation("RelationName", parentColumn, childColumn);
            set.Relations.Add(relation);

            UltraWebGrid1.DataSource = set;
            UltraWebGrid1.DataBind();


        }

     
    }

    private DataTable BuildTable(string name)
    {

        System.Data.DataTable table = new DataTable(name);
        DataColumn column;
        DataRow row;

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        table.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Item";
        column.AutoIncrement = false;
        column.Caption = "Item";
        column.ReadOnly = false;
        column.Unique = false;
        table.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Data";
        column.AutoIncrement = false;
        column.Caption = "Data";
        column.ReadOnly = false;
        column.Unique = false;
        table.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 20; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Item"] = "Item " + i;
            row["Data"] = DateTime.Now.AddDays(i).ToShortDateString();
            table.Rows.Add(row);
        }
        return table;

    }

    private DataTable BuildChildTable(string name)
    {
        System.Data.DataTable table = new DataTable(name);
        DataColumn column;
        DataRow row;

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "id";
        column.ReadOnly = true;
        table.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Item";
        column.AutoIncrement = false;
        column.Caption = "Item";
        column.ReadOnly = false;
        column.Unique = false;
        table.Columns.Add(column);

        column = new DataColumn();
        column.DataType = System.Type.GetType("System.String");
        column.ColumnName = "Data";
        column.AutoIncrement = false;
        column.Caption = "Data";
        column.ReadOnly = false;
        column.Unique = false;
        table.Columns.Add(column);


        column = new DataColumn();
        column.DataType = System.Type.GetType("System.Int32");
        column.ColumnName = "relation";
        column.AutoIncrement = false;
        column.Caption = "relation";
        column.ReadOnly = false;
        column.Unique = false;
        table.Columns.Add(column);

        DataColumn[] PrimaryKeyColumns = new DataColumn[1];
        PrimaryKeyColumns[0] = table.Columns["id"];
        table.PrimaryKey = PrimaryKeyColumns;

        for (int i = 0; i <= 100; i++)
        {
            row = table.NewRow();
            row["id"] = i;
            row["Item"] = "Item " + i;
            row["Data"] = DateTime.Now.ToShortTimeString();

            if ((i < 10) && (i >= 0))
            {

                row["relation"] = 0;
            }
            else if ((i < 20) && (i >= 10))
            {
                row["relation"] = 1;
            }
            else if ((i < 30) && (i >= 20))
            {
                row["relation"] = 2;
            }
            else if ((i < 40) && (i >= 30))
            {
                row["relation"] = 3;
            }
            else if ((i < 50) && (i >= 40))
            {
            }
            table.Rows.Add(row);
        }
        return table;

    }
    
    protected void DD1_Init(object sender, EventArgs e)
    {
        DropDownList list = (DropDownList)sender;
        list.DataSource = BuildTable("Parent");

    }
    protected void UltraWebGrid1_UpdateRow(object sender, Infragistics.WebUI.UltraWebGrid.RowEventArgs e)
    {

    }
    protected void WebDateChooser1_Init(object sender, EventArgs e)
    {
        System.Globalization.CultureInfo c = new System.Globalization.CultureInfo("en-US");

        c.DateTimeFormat.DateSeparator = "/";

        //Specify the format of date you want to display
        c.DateTimeFormat.ShortDatePattern = "dd";

        //Assign the CultureInfo object to the WebDateChooser's Culture
        WebDateChooser chooser = (WebDateChooser)sender;
        chooser.Format = DateFormat.Short;
        chooser.CalendarLayout.Culture = c;

        HiddenField1.Value = chooser.ClientID;


    }
}